#3271 closed defect (fixed)

Avoid using multiprocessor.org in rtems source builder

Reported by: mholm Owned by: Chris Johns
Priority: normal Milestone: 4.11.3
Component: tool/rsb Version: 4.11
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

The multiprocessor.org website is used to download e.g. mpc in many of the GCC build descriptions. Recently the website underwent some changes and re-organised the download directories which have broken at least the 4.11 branch of RSB, but probably many other branches.

Having discussed this with Andreas Enge (maintainer of MPC), he suggests that the gnu mirror is used instead:

I see, thank you for the info. Actually, I reorganised the web site, so
the tool is permanently broken. They should not use multiprecision.org,
but instead the official GNU ftp site:

https://ftp.gnu.org/gnu/mpc/

It would probably be good to use the GNU mirror also for MPFR and GMP and others if they aren't already.

Change History (8)

comment:1 Changed on Jan 13, 2018 at 2:21:57 PM by Gedare

Milestone: 5.1
Owner: set to Chris Johns
Severity: criticalblocker
Status: newassigned
Version: 4.10

comment:2 Changed on Jan 13, 2018 at 2:23:10 PM by Gedare

Version: 4.105

Fix should be applied to 4.11, 4.10, and master branches of RSB, please.

comment:3 Changed on Jan 15, 2018 at 10:00:57 PM by Chris Johns

Status: assignedaccepted

comment:4 Changed on Jan 15, 2018 at 10:25:37 PM by Chris Johns

Milestone: 5.14.11.3
Version: 54.11

RTEMS 5 is already using the GNU FTP site (1). I have moved this ticket to 4.11 and a 4.11.3 milestone.

Note, for 4.10 we need a separate ticket with a suitable 4.10 milestone, a ticket cannot cover more than one release and milestone. That ticket could reference this ticket and depend on it however by default Trac does not support any ticket dependency and I think we may need something (2) if we want to be able to do this.

(1) https://git.rtems.org/rtems-source-builder/tree/source-builder/config/gcc-7-1.cfg#n21
(2) https://trac-hacks.org/wiki/MasterTicketsPlugin

comment:5 Changed on Jan 16, 2018 at 7:09:03 AM by mholm

I added https://devel.rtems.org/ticket/3272 for the 4.10 branch.

comment:6 in reply to:  5 Changed on Jan 16, 2018 at 8:01:24 AM by Chris Johns

Replying to mholm:

I added https://devel.rtems.org/ticket/3272 for the 4.10 branch.

Thank you. I have a patch for that branch so I will update the ticket details and post it soon.

comment:7 Changed on Jan 18, 2018 at 3:19:40 AM by Chris Johns <chrisj@…>

In f7c729e/rtems-source-builder:

gcc: Update MPC verison to one hosted on GNU's FTP site.

Update #3271

comment:8 Changed on Feb 7, 2018 at 10:12:41 PM by Chris Johns

Resolution: fixed
Status: acceptedclosed

Check the 4.11 branch and it is now using the GNU ftp site:

package: arm-rtems4.11-gcc-4.9.3-newlib-2.2.0.20150423-x86_64-freebsd11.1-1
download: https://ftp.gnu.org/gnu/mpc/mpc-1.0.3.tar.gz -> sources/mpc-1.0.3.tar.gz
downloading: sources/mpc-1.0.3.tar.gz - 654.2kB of 654.2kB (100%)
Note: See TracTickets for help on using tickets.